class AccountsController < ApplicationController
  before_filter :require_user, :except => [:new, :create, :confirm]
  before_filter :require_not_logged_in, :only => [:create, :confirm]

  def index
    @user = User.new
    render "new"
  end
  
  def show
    @user = current_user
  end

  def edit
    @user = current_user
  end

  def update
    @user = current_user
    if @user.update_attributes(params[:user])
      flash[:notice] = "Zaktualizowano profil"
      redirect_to account_url
    else
      render :action => :edit
    end
  end

  def edit_password
    @user = current_user
  end

  def update_password
    @user = current_user
    if @user.update_attributes(params[:user])
      flash[:notice] = "Hasło zostało zmienione"
      redirect_to account_url
    else
      render :action => :edit_password
    end
  end

  def new
    @user = User.new
  end

  def create
    @user = User.new(params[:user])
    if @user.save
      @user.deliver_confirm_instructions!
      flash[:notice] = "Zarejestrowano pomyślnie. Email potwierdzający został wysłany na Twój adres."
      redirect_to root_url
    else
      render :action => :new
    end
  end

  def confirm
    @user = User.find_using_perishable_token(params[:id])
    if @user and @user.confirm!
      flash[:notice] = "Pomyślnie zaktywowano konto."
      redirect_to login_path
    else
      flash[:error] = "Nie mogę znaleźć takiego kodu aktywacji."
      redirect_to root_url
    end
  end

end

