class PasswordResetsController < ApplicationController
  before_filter :load_user_using_perishable_token, :only => [:edit, :update]

  def new
    render
  end

  def edit
    render
  end

  def create
    @user = User.find_by_email(params[:email])
    if @user
      @user.deliver_password_reset_instructions!
      flash[:notice] = "Wiadomość z instrukcjami zmiany hasła została wysłana na twój e-mail."
      redirect_to root_url
    else
      flash[:notice] = "Nie znaleziono użytkownika o tym adresie e-mail."
      render :action => :new
    end
  end

  def update
    @user.password = params[:user][:password]
    @user.password_confirmation = params[:user][:password_confirmation]
    @user.confirmed = true
    if @user.save
      flash[:notice] = "Hasło zostało zmienione."
      redirect_to root_url
    else
      render :action => :edit
    end
  end

private
  def load_user_using_perishable_token
    @user = User.find_using_perishable_token(params[:id])
    unless @user
      flash[:notice] = "Niepoprawny token zmiany hasła - spróbuj przekopiować URL z maila do przeglądarki."
      redirect_to root_url
    end
  end

end

