class UserSessionsController < ApplicationController
  before_filter :require_user, :only => :destroy
  after_filter :update_facebook_permissions, :only => :create

  def new
    if @current_user
      redirect_to root_url
    end
    @user_session = UserSession.new
  end

  def create
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      flash[:notice] = "Zalogowano."
      redirect_back_or_default root_url
    else
      flash[:error] = "Nieprawidłowy login lub hasło."
      redirect_to new_user_session_url
    end
  end

  def destroy
    user_session = UserSession.find
    user_session.destroy
    flash[:info] = "Wylogowano."
    redirect_to root_url
  end

  def store_location
  end
end

