class UsersController < ApplicationController
  before_filter :require_admin


  def index
    @users = User.all
  end

  def new
    if @current_user && !@current_user.is_superadmin?
       redirect_to users_url
    end
    @user = User.new
  end

  def create
    params[:superadmin] = false
    @user = User.new(params[:user])
    @user.superadmin = params[:user][:superadmin]
    if @user.save
      flash[:notice] = "Użytkownik dodany."
      redirect_to root_url
    else
      render :action => :new
    end
  end

  def edit
    @user = User.find(params[:id])
  end

  def update
    @user = User.find(params[:id])
    @user.superadmin = params[:user][:superadmin]
    if @user.update_attributes(params[:user])
      flash[:notice] = "Dane użytkownika zaktualizowane."
      redirect_to users_url
    else
      render :action => :edit
    end
  end

  def destroy
    @user = User.find(params[:id])
    if @user == current_user
      flash[:notice] = "Nie możesz usunąć swojego konta."
    else
      @user.destroy
      flash[:notice] = "Użytkownik usunięty."
    end

    redirect_to users_url
  end

  def change_password
    @user = User.find(params[:id])
  end

  def update_password
    @user = User.find(params[:id])

    if @user.update_attributes(params[:user])
      flash[:notice] = "Hasło zmienione."
      redirect_to users_url
    else
      render :action => :change_password
    end
  end


end

