class Mailer < ActionMailer::Base

  def password_reset_instructions(user)
    setup_email
    subject   I18n.t("password_reset.reset_instructions_subject")
    recipients user.email
    @user = user
  end  

  def event_advertise(user_or_speaker, event)
    setup_email
    subject   I18n.t("datetime.distance_in_words.week_ahead") + " #{event.name}!"
    recipients user_or_speaker.email
    @user_or_speaker = user_or_speaker
    @event = event
  end
  
  def event_remind(user_or_speaker, event)
    setup_email
    subject   I18n.t("datetime.distance_in_words.tomorrow") + " #{event.name}!"
    recipients user_or_speaker.email
    @user_or_speaker = user_or_speaker
    @event = event
  end

  def user_confirm_instructions(user)
    setup_email
    subject     I18n.t("user.activation_subject")
    recipients  user.email
    @user = user
    @url = confirm_url(user.perishable_token)
  end

  private
  def setup_email
    if ENV['RAILS_ENV'] == 'development'
      default_url_options[:host] = "localhost:3000"
    elsif ENV['RAILS_ENV'] == 'staging'
      default_url_options[:host] = 'barcampers.s.netguru.pl'
    else
      default_url_options[:host] = 'barcamp.pl'
    end
    from  "Barcamp.pl <noreply@barcamp.pl>"
    @site_name = "Barcamp.pl"
    @sent_on = Time.now
  end


end

