namespace :barcamp do
  namespace :mail do
    
    desc 'send notify emails to appropriate users'
    task :events_advertise => :environment do
      #past attendances
      mail_count = 0
      Event.week_ahead.map do |event|
        event.event_group.events.archival.map{|e| e.users.events_advertise}.flatten.reject{|u| event.users.include?(u)}.uniq.map do |user|
          Mailer.deliver_event_advertise(user, event)
          mail_count += 1
        end
      end
      #past speakers
      Event.week_ahead.map do |event|
        event.event_group.events.archival.map{|e| e.speakers.events_advertise}.flatten.reject{|s| event.speakers.include?(s)}.uniq.map do |speaker|
          Mailer.deliver_event_advertise(speaker, event) 
          mail_count += 1
        end
      end
      puts "Wyslano #{mail_count} maili. (events_advertise)"
    end
    
    task :events_remind => :environment do
      mail_count = 0
      Event.day_ahead.map do |event|
        event.users.events_remind.map do |user|
          Mailer.deliver_event_remind(user, event)
          mail_count += 1
        end
        event.speakers.has_email.events_remind.map do |speaker|
          Mailer.deliver_event_remind(speaker, event)
          mail_count += 1
        end
      end
      puts "Wyslano #{mail_count} maili. (events_remind)"
    end
  end
end